summaryrefslogtreecommitdiff
path: root/tools/fuzz-test.sh
diff options
context:
space:
mode:
authorJörg Mayer <jmayer@loplof.de>2005-09-28 08:14:54 +0000
committerJörg Mayer <jmayer@loplof.de>2005-09-28 08:14:54 +0000
commit16bd74ab0c6960ea48c82ecb815ef3f548cfdada (patch)
tree93fb73ea1740a53c39a5d232b7cd93123b1857ee /tools/fuzz-test.sh
parent322999c545e3bbcbcd6856c94c5da339144af5c8 (diff)
downloadwireshark-16bd74ab0c6960ea48c82ecb815ef3f548cfdada.tar.gz
In case the paths to the tools are wrong, inform the
user about it instead of complaining that no capture files could be found. svn path=/trunk/; revision=16037
Diffstat (limited to 'tools/fuzz-test.sh')
-rwxr-xr-xtools/fuzz-test.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/fuzz-test.sh b/tools/fuzz-test.sh
index 14d5291068..1d8b05330e 100755
--- a/tools/fuzz-test.sh
+++ b/tools/fuzz-test.sh
@@ -42,6 +42,17 @@ ulimit -S -t $MAX_CPU_TIME -v $MAX_VMEM
# r Read packet data from the following infile
TETHEREAL_ARGS="-nVxr"
+NOTFOUND=0
+for i in "$TETHEREAL" "$EDITCAP" "$CAPINFOS" "$DATE" "$TMP_DIR" ; do
+ if [ ! -x $i ]; then
+ echo "Couldn't find $i"
+ NOTFOUND=1
+ fi
+done
+if [ $NOTFOUND -eq 1 ]; then
+ exit 1
+fi
+
# Make sure we have a valid test set
FOUND=0
for CF in "$@" ; do